# Uses of Interface
com.sun.mirror.type.AnnotationType

Packages that use AnnotationType
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of AnnotationType in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return AnnotationType
Modifier and Type
Method
Description
`AnnotationType`
AnnotationMirror.`getAnnotationType()`
Returns the annotation type of this annotation.

## Uses of AnnotationType in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type AnnotationType
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitAnnotationType(AnnotationType t)`
Visits an annotation type.
`void`
TypeVisitor.`visitAnnotationType(AnnotationType t)`
Visits an annotation type.